ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/gvpe/configure
(Generate patch)

Comparing gvpe/configure (file contents):
Revision 1.41 by pcg, Wed Sep 3 04:58:46 2008 UTC vs.
Revision 1.42 by pcg, Sun Jan 18 03:44:09 2009 UTC

1341 combinations are: "tincd/bsd" "tincd/solaris" 1341 combinations are: "tincd/bsd" "tincd/solaris"
1342 "tincd/mingw" "tincd/raw_socket" "tincd/uml_socket"; 1342 "tincd/mingw" "tincd/raw_socket" "tincd/uml_socket";
1343 Broken combinations are: "tincd/cygwin"; The default 1343 Broken combinations are: "tincd/cygwin"; The default
1344 is to autodetect. 1344 is to autodetect.
1345 --enable-static-daemon enable statically linked daemon. 1345 --enable-static-daemon enable statically linked daemon.
1346 --enable-icmp enable icmp protocol support (default disabled). 1346 --disable-icmp enable icmp protocol support (default enabled).
1347 --enable-tcp enable tcp protocol support (default disabled). 1347 --disable-tcp enable tcp protocol support (default enabled).
1348 --enable-dns enable dns tunnel protocol support (DOES NOT WORK).
1349 --enable-http-proxy enable http proxy connect support (default 1348 --disable-http-proxy enable http proxy connect support (default enabled).
1349 --enable-dns enable dns tunnel protocol support (default
1350 disabled). 1350 disabled).
1351 --enable-hmac-length=BYTES 1351 --enable-hmac-length=BYTES
1352 use a hmac of length BYTES bytes (default 12). 1352 use a hmac of length BYTES bytes (default 12).
1353 Allowed values are 4, 8, 12, 16. 1353 Allowed values are 4, 8, 12, 16.
1354 --enable-rand-length=BYTES 1354 --enable-rand-length=BYTES
1355 use BYTES bytes of extra randomness (default 8). 1355 use BYTES bytes of extra randomness (default 8).
1356 Allowed values are 0, 4, 8. 1356 Allowed values are 0, 4, 8.
1357 --enable-max-mtu=BYTES enable mtu sizes upto BYTES bytes (default 1500). 1357 --enable-max-mtu=BYTES enable mtu sizes upto BYTES bytes (default 1500).
1358 Use 9100 for jumbogram support. 1358 Use 9100 for jumbogram support.
1359 --disable-compression Disable compression support. 1359 --disable-compression Disable compression support.
1360 --enable-cipher Select the symmetric cipher (default "aes-128"). 1360 --enable-cipher=CIPHER Select the symmetric cipher (default "aes-128").
1361 Must be one of "bf" (blowfish), "aes-128" 1361 Must be one of "bf" (blowfish), "aes-128"
1362 (rijndael), "aes-192" or "aes-256". 1362 (rijndael), "aes-192" or "aes-256".
1363 --enable-digest Select the digest algorithm to use (default 1363 --enable-digest=CIPHER Select the digest algorithm to use (default
1364 "ripemd160"). Must be one of "sha512", "sha256", 1364 "ripemd160"). Must be one of "sha512", "sha256",
1365 "sha1", "ripemd160", "md5" or "md4" (insecure). 1365 "sha1", "ripemd160", "md5" or "md4" (insecure).
1366 1366
1367Optional Packages: 1367Optional Packages:
1368 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes] 1368 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
5076ac_ext=c 5076ac_ext=c
5077ac_cpp='$CPP $CPPFLAGS' 5077ac_cpp='$CPP $CPPFLAGS'
5078ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5' 5078ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5079ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 5079ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5080ac_compiler_gnu=$ac_cv_c_compiler_gnu 5080ac_compiler_gnu=$ac_cv_c_compiler_gnu
5081if test -n "$ac_tool_prefix"; then
5082 # Extract the first word of "${ac_tool_prefix}gcc", so it can be a program name with args.
5083set dummy ${ac_tool_prefix}gcc; ac_word=$2
5084{ echo "$as_me:$LINENO: checking for $ac_word" >&5
5085echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
5086if test "${ac_cv_prog_CC+set}" = set; then
5087 echo $ECHO_N "(cached) $ECHO_C" >&6
5088else
5089 if test -n "$CC"; then
5090 ac_cv_prog_CC="$CC" # Let the user override the test.
5091else
5092as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
5093for as_dir in $PATH
5094do
5095 IFS=$as_save_IFS
5096 test -z "$as_dir" && as_dir=.
5097 for ac_exec_ext in '' $ac_executable_extensions; do
5098 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
5099 ac_cv_prog_CC="${ac_tool_prefix}gcc"
5100 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
5101 break 2
5102 fi
5103done
5104done
5105IFS=$as_save_IFS
5106
5107fi
5108fi
5109CC=$ac_cv_prog_CC
5110if test -n "$CC"; then
5111 { echo "$as_me:$LINENO: result: $CC" >&5
5112echo "${ECHO_T}$CC" >&6; }
5113else
5114 { echo "$as_me:$LINENO: result: no" >&5
5115echo "${ECHO_T}no" >&6; }
5116fi
5117
5118
5119fi
5120if test -z "$ac_cv_prog_CC"; then
5121 ac_ct_CC=$CC
5122 # Extract the first word of "gcc", so it can be a program name with args.
5123set dummy gcc; ac_word=$2
5124{ echo "$as_me:$LINENO: checking for $ac_word" >&5
5125echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
5126if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
5127 echo $ECHO_N "(cached) $ECHO_C" >&6
5128else
5129 if test -n "$ac_ct_CC"; then
5130 ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
5131else
5132as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
5133for as_dir in $PATH
5134do
5135 IFS=$as_save_IFS
5136 test -z "$as_dir" && as_dir=.
5137 for ac_exec_ext in '' $ac_executable_extensions; do
5138 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
5139 ac_cv_prog_ac_ct_CC="gcc"
5140 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
5141 break 2
5142 fi
5143done
5144done
5145IFS=$as_save_IFS
5146
5147fi
5148fi
5149ac_ct_CC=$ac_cv_prog_ac_ct_CC
5150if test -n "$ac_ct_CC"; then
5151 { echo "$as_me:$LINENO: result: $ac_ct_CC" >&5
5152echo "${ECHO_T}$ac_ct_CC" >&6; }
5153else
5154 { echo "$as_me:$LINENO: result: no" >&5
5155echo "${ECHO_T}no" >&6; }
5156fi
5157
5158 if test "x$ac_ct_CC" = x; then
5159 CC=""
5160 else
5161 case $cross_compiling:$ac_tool_warned in
5162yes:)
5163{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
5164whose name does not start with the host triplet. If you think this
5165configuration is useful to you, please write to autoconf@gnu.org." >&5
5166echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
5167whose name does not start with the host triplet. If you think this
5168configuration is useful to you, please write to autoconf@gnu.org." >&2;}
5169ac_tool_warned=yes ;;
5170esac
5171 CC=$ac_ct_CC
5172 fi
5173else
5174 CC="$ac_cv_prog_CC"
5175fi
5176
5177if test -z "$CC"; then
5178 if test -n "$ac_tool_prefix"; then
5179 # Extract the first word of "${ac_tool_prefix}cc", so it can be a program name with args.
5180set dummy ${ac_tool_prefix}cc; ac_word=$2
5181{ echo "$as_me:$LINENO: checking for $ac_word" >&5
5182echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
5183if test "${ac_cv_prog_CC+set}" = set; then
5184 echo $ECHO_N "(cached) $ECHO_C" >&6
5185else
5186 if test -n "$CC"; then
5187 ac_cv_prog_CC="$CC" # Let the user override the test.
5188else
5189as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
5190for as_dir in $PATH
5191do
5192 IFS=$as_save_IFS
5193 test -z "$as_dir" && as_dir=.
5194 for ac_exec_ext in '' $ac_executable_extensions; do
5195 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
5196 ac_cv_prog_CC="${ac_tool_prefix}cc"
5197 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
5198 break 2
5199 fi
5200done
5201done
5202IFS=$as_save_IFS
5203
5204fi
5205fi
5206CC=$ac_cv_prog_CC
5207if test -n "$CC"; then
5208 { echo "$as_me:$LINENO: result: $CC" >&5
5209echo "${ECHO_T}$CC" >&6; }
5210else
5211 { echo "$as_me:$LINENO: result: no" >&5
5212echo "${ECHO_T}no" >&6; }
5213fi
5214
5215
5216 fi
5217fi
5218if test -z "$CC"; then
5219 # Extract the first word of "cc", so it can be a program name with args.
5220set dummy cc; ac_word=$2
5221{ echo "$as_me:$LINENO: checking for $ac_word" >&5
5222echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
5223if test "${ac_cv_prog_CC+set}" = set; then
5224 echo $ECHO_N "(cached) $ECHO_C" >&6
5225else
5226 if test -n "$CC"; then
5227 ac_cv_prog_CC="$CC" # Let the user override the test.
5228else
5229 ac_prog_rejected=no
5230as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
5231for as_dir in $PATH
5232do
5233 IFS=$as_save_IFS
5234 test -z "$as_dir" && as_dir=.
5235 for ac_exec_ext in '' $ac_executable_extensions; do
5236 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
5237 if test "$as_dir/$ac_word$ac_exec_ext" = "/usr/ucb/cc"; then
5238 ac_prog_rejected=yes
5239 continue
5240 fi
5241 ac_cv_prog_CC="cc"
5242 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
5243 break 2
5244 fi
5245done
5246done
5247IFS=$as_save_IFS
5248
5249if test $ac_prog_rejected = yes; then
5250 # We found a bogon in the path, so make sure we never use it.
5251 set dummy $ac_cv_prog_CC
5252 shift
5253 if test $# != 0; then
5254 # We chose a different compiler from the bogus one.
5255 # However, it has the same basename, so the bogon will be chosen
5256 # first if we set CC to just the basename; use the full file name.
5257 shift
5258 ac_cv_prog_CC="$as_dir/$ac_word${1+' '}$@"
5259 fi
5260fi
5261fi
5262fi
5263CC=$ac_cv_prog_CC
5264if test -n "$CC"; then
5265 { echo "$as_me:$LINENO: result: $CC" >&5
5266echo "${ECHO_T}$CC" >&6; }
5267else
5268 { echo "$as_me:$LINENO: result: no" >&5
5269echo "${ECHO_T}no" >&6; }
5270fi
5271
5272
5273fi
5274if test -z "$CC"; then
5275 if test -n "$ac_tool_prefix"; then
5276 for ac_prog in cl.exe
5277 do
5278 # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
5279set dummy $ac_tool_prefix$ac_prog; ac_word=$2
5280{ echo "$as_me:$LINENO: checking for $ac_word" >&5
5281echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
5282if test "${ac_cv_prog_CC+set}" = set; then
5283 echo $ECHO_N "(cached) $ECHO_C" >&6
5284else
5285 if test -n "$CC"; then
5286 ac_cv_prog_CC="$CC" # Let the user override the test.
5287else
5288as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
5289for as_dir in $PATH
5290do
5291 IFS=$as_save_IFS
5292 test -z "$as_dir" && as_dir=.
5293 for ac_exec_ext in '' $ac_executable_extensions; do
5294 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
5295 ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
5296 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
5297 break 2
5298 fi
5299done
5300done
5301IFS=$as_save_IFS
5302
5303fi
5304fi
5305CC=$ac_cv_prog_CC
5306if test -n "$CC"; then
5307 { echo "$as_me:$LINENO: result: $CC" >&5
5308echo "${ECHO_T}$CC" >&6; }
5309else
5310 { echo "$as_me:$LINENO: result: no" >&5
5311echo "${ECHO_T}no" >&6; }
5312fi
5313
5314
5315 test -n "$CC" && break
5316 done
5317fi
5318if test -z "$CC"; then
5319 ac_ct_CC=$CC
5320 for ac_prog in cl.exe
5321do
5322 # Extract the first word of "$ac_prog", so it can be a program name with args.
5323set dummy $ac_prog; ac_word=$2
5324{ echo "$as_me:$LINENO: checking for $ac_word" >&5
5325echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
5326if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
5327 echo $ECHO_N "(cached) $ECHO_C" >&6
5328else
5329 if test -n "$ac_ct_CC"; then
5330 ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
5331else
5332as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
5333for as_dir in $PATH
5334do
5335 IFS=$as_save_IFS
5336 test -z "$as_dir" && as_dir=.
5337 for ac_exec_ext in '' $ac_executable_extensions; do
5338 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
5339 ac_cv_prog_ac_ct_CC="$ac_prog"
5340 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
5341 break 2
5342 fi
5343done
5344done
5345IFS=$as_save_IFS
5346
5347fi
5348fi
5349ac_ct_CC=$ac_cv_prog_ac_ct_CC
5350if test -n "$ac_ct_CC"; then
5351 { echo "$as_me:$LINENO: result: $ac_ct_CC" >&5
5352echo "${ECHO_T}$ac_ct_CC" >&6; }
5353else
5354 { echo "$as_me:$LINENO: result: no" >&5
5355echo "${ECHO_T}no" >&6; }
5356fi
5357
5358
5359 test -n "$ac_ct_CC" && break
5360done
5361
5362 if test "x$ac_ct_CC" = x; then
5363 CC=""
5364 else
5365 case $cross_compiling:$ac_tool_warned in
5366yes:)
5367{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
5368whose name does not start with the host triplet. If you think this
5369configuration is useful to you, please write to autoconf@gnu.org." >&5
5370echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
5371whose name does not start with the host triplet. If you think this
5372configuration is useful to you, please write to autoconf@gnu.org." >&2;}
5373ac_tool_warned=yes ;;
5374esac
5375 CC=$ac_ct_CC
5376 fi
5377fi
5378
5379fi
5380
5381
5382test -z "$CC" && { { echo "$as_me:$LINENO: error: no acceptable C compiler found in \$PATH
5383See \`config.log' for more details." >&5
5384echo "$as_me: error: no acceptable C compiler found in \$PATH
5385See \`config.log' for more details." >&2;}
5386 { (exit 1); exit 1; }; }
5387
5388# Provide some information about the compiler.
5389echo "$as_me:$LINENO: checking for C compiler version" >&5
5390ac_compiler=`set X $ac_compile; echo $2`
5391{ (ac_try="$ac_compiler --version >&5"
5392case "(($ac_try" in
5393 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5394 *) ac_try_echo=$ac_try;;
5395esac
5396eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5397 (eval "$ac_compiler --version >&5") 2>&5
5398 ac_status=$?
5399 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5400 (exit $ac_status); }
5401{ (ac_try="$ac_compiler -v >&5"
5402case "(($ac_try" in
5403 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5404 *) ac_try_echo=$ac_try;;
5405esac
5406eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5407 (eval "$ac_compiler -v >&5") 2>&5
5408 ac_status=$?
5409 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5410 (exit $ac_status); }
5411{ (ac_try="$ac_compiler -V >&5"
5412case "(($ac_try" in
5413 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5414 *) ac_try_echo=$ac_try;;
5415esac
5416eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5417 (eval "$ac_compiler -V >&5") 2>&5
5418 ac_status=$?
5419 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5420 (exit $ac_status); }
5421
5422{ echo "$as_me:$LINENO: checking whether we are using the GNU C compiler" >&5
5423echo $ECHO_N "checking whether we are using the GNU C compiler... $ECHO_C" >&6; }
5424if test "${ac_cv_c_compiler_gnu+set}" = set; then
5425 echo $ECHO_N "(cached) $ECHO_C" >&6
5426else
5427 cat >conftest.$ac_ext <<_ACEOF
5428/* confdefs.h. */
5429_ACEOF
5430cat confdefs.h >>conftest.$ac_ext
5431cat >>conftest.$ac_ext <<_ACEOF
5432/* end confdefs.h. */
5433
5434int
5435main ()
5436{
5437#ifndef __GNUC__
5438 choke me
5439#endif
5440
5441 ;
5442 return 0;
5443}
5444_ACEOF
5445rm -f conftest.$ac_objext
5446if { (ac_try="$ac_compile"
5447case "(($ac_try" in
5448 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5449 *) ac_try_echo=$ac_try;;
5450esac
5451eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5452 (eval "$ac_compile") 2>conftest.er1
5453 ac_status=$?
5454 grep -v '^ *+' conftest.er1 >conftest.err
5455 rm -f conftest.er1
5456 cat conftest.err >&5
5457 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5458 (exit $ac_status); } && {
5459 test -z "$ac_c_werror_flag" ||
5460 test ! -s conftest.err
5461 } && test -s conftest.$ac_objext; then
5462 ac_compiler_gnu=yes
5463else
5464 echo "$as_me: failed program was:" >&5
5465sed 's/^/| /' conftest.$ac_ext >&5
5466
5467 ac_compiler_gnu=no
5468fi
5469
5470rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
5471ac_cv_c_compiler_gnu=$ac_compiler_gnu
5472
5473fi
5474{ echo "$as_me:$LINENO: result: $ac_cv_c_compiler_gnu" >&5
5475echo "${ECHO_T}$ac_cv_c_compiler_gnu" >&6; }
5476GCC=`test $ac_compiler_gnu = yes && echo yes`
5477ac_test_CFLAGS=${CFLAGS+set}
5478ac_save_CFLAGS=$CFLAGS
5479{ echo "$as_me:$LINENO: checking whether $CC accepts -g" >&5
5480echo $ECHO_N "checking whether $CC accepts -g... $ECHO_C" >&6; }
5481if test "${ac_cv_prog_cc_g+set}" = set; then
5482 echo $ECHO_N "(cached) $ECHO_C" >&6
5483else
5484 ac_save_c_werror_flag=$ac_c_werror_flag
5485 ac_c_werror_flag=yes
5486 ac_cv_prog_cc_g=no
5487 CFLAGS="-g"
5488 cat >conftest.$ac_ext <<_ACEOF
5489/* confdefs.h. */
5490_ACEOF
5491cat confdefs.h >>conftest.$ac_ext
5492cat >>conftest.$ac_ext <<_ACEOF
5493/* end confdefs.h. */
5494
5495int
5496main ()
5497{
5498
5499 ;
5500 return 0;
5501}
5502_ACEOF
5503rm -f conftest.$ac_objext
5504if { (ac_try="$ac_compile"
5505case "(($ac_try" in
5506 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5507 *) ac_try_echo=$ac_try;;
5508esac
5509eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5510 (eval "$ac_compile") 2>conftest.er1
5511 ac_status=$?
5512 grep -v '^ *+' conftest.er1 >conftest.err
5513 rm -f conftest.er1
5514 cat conftest.err >&5
5515 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5516 (exit $ac_status); } && {
5517 test -z "$ac_c_werror_flag" ||
5518 test ! -s conftest.err
5519 } && test -s conftest.$ac_objext; then
5520 ac_cv_prog_cc_g=yes
5521else
5522 echo "$as_me: failed program was:" >&5
5523sed 's/^/| /' conftest.$ac_ext >&5
5524
5525 CFLAGS=""
5526 cat >conftest.$ac_ext <<_ACEOF
5527/* confdefs.h. */
5528_ACEOF
5529cat confdefs.h >>conftest.$ac_ext
5530cat >>conftest.$ac_ext <<_ACEOF
5531/* end confdefs.h. */
5532
5533int
5534main ()
5535{
5536
5537 ;
5538 return 0;
5539}
5540_ACEOF
5541rm -f conftest.$ac_objext
5542if { (ac_try="$ac_compile"
5543case "(($ac_try" in
5544 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5545 *) ac_try_echo=$ac_try;;
5546esac
5547eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5548 (eval "$ac_compile") 2>conftest.er1
5549 ac_status=$?
5550 grep -v '^ *+' conftest.er1 >conftest.err
5551 rm -f conftest.er1
5552 cat conftest.err >&5
5553 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5554 (exit $ac_status); } && {
5555 test -z "$ac_c_werror_flag" ||
5556 test ! -s conftest.err
5557 } && test -s conftest.$ac_objext; then
5558 :
5559else
5560 echo "$as_me: failed program was:" >&5
5561sed 's/^/| /' conftest.$ac_ext >&5
5562
5563 ac_c_werror_flag=$ac_save_c_werror_flag
5564 CFLAGS="-g"
5565 cat >conftest.$ac_ext <<_ACEOF
5566/* confdefs.h. */
5567_ACEOF
5568cat confdefs.h >>conftest.$ac_ext
5569cat >>conftest.$ac_ext <<_ACEOF
5570/* end confdefs.h. */
5571
5572int
5573main ()
5574{
5575
5576 ;
5577 return 0;
5578}
5579_ACEOF
5580rm -f conftest.$ac_objext
5581if { (ac_try="$ac_compile"
5582case "(($ac_try" in
5583 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5584 *) ac_try_echo=$ac_try;;
5585esac
5586eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5587 (eval "$ac_compile") 2>conftest.er1
5588 ac_status=$?
5589 grep -v '^ *+' conftest.er1 >conftest.err
5590 rm -f conftest.er1
5591 cat conftest.err >&5
5592 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5593 (exit $ac_status); } && {
5594 test -z "$ac_c_werror_flag" ||
5595 test ! -s conftest.err
5596 } && test -s conftest.$ac_objext; then
5597 ac_cv_prog_cc_g=yes
5598else
5599 echo "$as_me: failed program was:" >&5
5600sed 's/^/| /' conftest.$ac_ext >&5
5601
5602
5603fi
5604
5605rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
5606fi
5607
5608rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
5609fi
5610
5611rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
5612 ac_c_werror_flag=$ac_save_c_werror_flag
5613fi
5614{ echo "$as_me:$LINENO: result: $ac_cv_prog_cc_g" >&5
5615echo "${ECHO_T}$ac_cv_prog_cc_g" >&6; }
5616if test "$ac_test_CFLAGS" = set; then
5617 CFLAGS=$ac_save_CFLAGS
5618elif test $ac_cv_prog_cc_g = yes; then
5619 if test "$GCC" = yes; then
5620 CFLAGS="-g -O2"
5621 else
5622 CFLAGS="-g"
5623 fi
5624else
5625 if test "$GCC" = yes; then
5626 CFLAGS="-O2"
5627 else
5628 CFLAGS=
5629 fi
5630fi
5631{ echo "$as_me:$LINENO: checking for $CC option to accept ISO C89" >&5
5632echo $ECHO_N "checking for $CC option to accept ISO C89... $ECHO_C" >&6; }
5633if test "${ac_cv_prog_cc_c89+set}" = set; then
5634 echo $ECHO_N "(cached) $ECHO_C" >&6
5635else
5636 ac_cv_prog_cc_c89=no
5637ac_save_CC=$CC
5638cat >conftest.$ac_ext <<_ACEOF
5639/* confdefs.h. */
5640_ACEOF
5641cat confdefs.h >>conftest.$ac_ext
5642cat >>conftest.$ac_ext <<_ACEOF
5643/* end confdefs.h. */
5644#include <stdarg.h>
5645#include <stdio.h>
5646#include <sys/types.h>
5647#include <sys/stat.h>
5648/* Most of the following tests are stolen from RCS 5.7's src/conf.sh. */
5649struct buf { int x; };
5650FILE * (*rcsopen) (struct buf *, struct stat *, int);
5651static char *e (p, i)
5652 char **p;
5653 int i;
5654{
5655 return p[i];
5656}
5657static char *f (char * (*g) (char **, int), char **p, ...)
5658{
5659 char *s;
5660 va_list v;
5661 va_start (v,p);
5662 s = g (p, va_arg (v,int));
5663 va_end (v);
5664 return s;
5665}
5666
5667/* OSF 4.0 Compaq cc is some sort of almost-ANSI by default. It has
5668 function prototypes and stuff, but not '\xHH' hex character constants.
5669 These don't provoke an error unfortunately, instead are silently treated
5670 as 'x'. The following induces an error, until -std is added to get
5671 proper ANSI mode. Curiously '\x00'!='x' always comes out true, for an
5672 array size at least. It's necessary to write '\x00'==0 to get something
5673 that's true only with -std. */
5674int osf4_cc_array ['\x00' == 0 ? 1 : -1];
5675
5676/* IBM C 6 for AIX is almost-ANSI by default, but it replaces macro parameters
5677 inside strings and character constants. */
5678#define FOO(x) 'x'
5679int xlc6_cc_array[FOO(a) == 'x' ? 1 : -1];
5680
5681int test (int i, double x);
5682struct s1 {int (*f) (int a);};
5683struct s2 {int (*f) (double a);};
5684int pairnames (int, char **, FILE *(*)(struct buf *, struct stat *, int), int, int);
5685int argc;
5686char **argv;
5687int
5688main ()
5689{
5690return f (e, argv, 0) != argv[0] || f (e, argv, 1) != argv[1];
5691 ;
5692 return 0;
5693}
5694_ACEOF
5695for ac_arg in '' -qlanglvl=extc89 -qlanglvl=ansi -std \
5696 -Ae "-Aa -D_HPUX_SOURCE" "-Xc -D__EXTENSIONS__"
5697do
5698 CC="$ac_save_CC $ac_arg"
5699 rm -f conftest.$ac_objext
5700if { (ac_try="$ac_compile"
5701case "(($ac_try" in
5702 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5703 *) ac_try_echo=$ac_try;;
5704esac
5705eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5706 (eval "$ac_compile") 2>conftest.er1
5707 ac_status=$?
5708 grep -v '^ *+' conftest.er1 >conftest.err
5709 rm -f conftest.er1
5710 cat conftest.err >&5
5711 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5712 (exit $ac_status); } && {
5713 test -z "$ac_c_werror_flag" ||
5714 test ! -s conftest.err
5715 } && test -s conftest.$ac_objext; then
5716 ac_cv_prog_cc_c89=$ac_arg
5717else
5718 echo "$as_me: failed program was:" >&5
5719sed 's/^/| /' conftest.$ac_ext >&5
5720
5721
5722fi
5723
5724rm -f core conftest.err conftest.$ac_objext
5725 test "x$ac_cv_prog_cc_c89" != "xno" && break
5726done
5727rm -f conftest.$ac_ext
5728CC=$ac_save_CC
5729
5730fi
5731# AC_CACHE_VAL
5732case "x$ac_cv_prog_cc_c89" in
5733 x)
5734 { echo "$as_me:$LINENO: result: none needed" >&5
5735echo "${ECHO_T}none needed" >&6; } ;;
5736 xno)
5737 { echo "$as_me:$LINENO: result: unsupported" >&5
5738echo "${ECHO_T}unsupported" >&6; } ;;
5739 *)
5740 CC="$CC $ac_cv_prog_cc_c89"
5741 { echo "$as_me:$LINENO: result: $ac_cv_prog_cc_c89" >&5
5742echo "${ECHO_T}$ac_cv_prog_cc_c89" >&6; } ;;
5743esac
5744
5745
5746ac_ext=c
5747ac_cpp='$CPP $CPPFLAGS'
5748ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5749ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5750ac_compiler_gnu=$ac_cv_c_compiler_gnu
5751
5752depcc="$CC" am_compiler_list=
5753
5754{ echo "$as_me:$LINENO: checking dependency style of $depcc" >&5
5755echo $ECHO_N "checking dependency style of $depcc... $ECHO_C" >&6; }
5756if test "${am_cv_CC_dependencies_compiler_type+set}" = set; then
5757 echo $ECHO_N "(cached) $ECHO_C" >&6
5758else
5759 if test -z "$AMDEP_TRUE" && test -f "$am_depcomp"; then
5760 # We make a subdir and do the tests there. Otherwise we can end up
5761 # making bogus files that we don't know about and never remove. For
5762 # instance it was reported that on HP-UX the gcc test will end up
5763 # making a dummy file named `D' -- because `-MD' means `put the output
5764 # in D'.
5765 mkdir conftest.dir
5766 # Copy depcomp to subdir because otherwise we won't find it if we're
5767 # using a relative directory.
5768 cp "$am_depcomp" conftest.dir
5769 cd conftest.dir
5770 # We will build objects and dependencies in a subdirectory because
5771 # it helps to detect inapplicable dependency modes. For instance
5772 # both Tru64's cc and ICC support -MD to output dependencies as a
5773 # side effect of compilation, but ICC will put the dependencies in
5774 # the current directory while Tru64 will put them in the object
5775 # directory.
5776 mkdir sub
5777
5778 am_cv_CC_dependencies_compiler_type=none
5779 if test "$am_compiler_list" = ""; then
5780 am_compiler_list=`sed -n 's/^#*\([a-zA-Z0-9]*\))$/\1/p' < ./depcomp`
5781 fi
5782 for depmode in $am_compiler_list; do
5783 # Setup a source with many dependencies, because some compilers
5784 # like to wrap large dependency lists on column 80 (with \), and
5785 # we should not choose a depcomp mode which is confused by this.
5786 #
5787 # We need to recreate these files for each test, as the compiler may
5788 # overwrite some of them when testing with obscure command lines.
5789 # This happens at least with the AIX C compiler.
5790 : > sub/conftest.c
5791 for i in 1 2 3 4 5 6; do
5792 echo '#include "conftst'$i'.h"' >> sub/conftest.c
5793 : > sub/conftst$i.h
5794 done
5795 echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
5796
5797 case $depmode in
5798 nosideeffect)
5799 # after this tag, mechanisms are not by side-effect, so they'll
5800 # only be used when explicitly requested
5801 if test "x$enable_dependency_tracking" = xyes; then
5802 continue
5803 else
5804 break
5805 fi
5806 ;;
5807 none) break ;;
5808 esac
5809 # We check with `-c' and `-o' for the sake of the "dashmstdout"
5810 # mode. It turns out that the SunPro C++ compiler does not properly
5811 # handle `-M -o', and we need to detect this.
5812 if depmode=$depmode \
5813 source=sub/conftest.c object=sub/conftest.${OBJEXT-o} \
5814 depfile=sub/conftest.Po tmpdepfile=sub/conftest.TPo \
5815 $SHELL ./depcomp $depcc -c -o sub/conftest.${OBJEXT-o} sub/conftest.c \
5816 >/dev/null 2>conftest.err &&
5817 grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
5818 grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
5819 ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
5820 # icc doesn't choke on unknown options, it will just issue warnings
5821 # (even with -Werror). So we grep stderr for any message
5822 # that says an option was ignored.
5823 if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else
5824 am_cv_CC_dependencies_compiler_type=$depmode
5825 break
5826 fi
5827 fi
5828 done
5829
5830 cd ..
5831 rm -rf conftest.dir
5832else
5833 am_cv_CC_dependencies_compiler_type=none
5834fi
5835
5836fi
5837{ echo "$as_me:$LINENO: result: $am_cv_CC_dependencies_compiler_type" >&5
5838echo "${ECHO_T}$am_cv_CC_dependencies_compiler_type" >&6; }
5839CCDEPMODE=depmode=$am_cv_CC_dependencies_compiler_type
5840
5841
5842
5843if
5844 test "x$enable_dependency_tracking" != xno \
5845 && test "$am_cv_CC_dependencies_compiler_type" = gcc3; then
5846 am__fastdepCC_TRUE=
5847 am__fastdepCC_FALSE='#'
5848else
5849 am__fastdepCC_TRUE='#'
5850 am__fastdepCC_FALSE=
5851fi
5852
5853
5854ac_ext=c
5855ac_cpp='$CPP $CPPFLAGS'
5856ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5857ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5858ac_compiler_gnu=$ac_cv_c_compiler_gnu
5859{ echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5 5081{ echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5
5860echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6; } 5082echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6; }
5861# On Suns, sometimes $CPP names a directory. 5083# On Suns, sometimes $CPP names a directory.
5862if test -n "$CPP" && test -d "$CPP"; then 5084if test -n "$CPP" && test -d "$CPP"; then
5863 CPP= 5085 CPP=
9883echo "${ECHO_T}$ac_cv_func_clock_gettime" >&6; } 9105echo "${ECHO_T}$ac_cv_func_clock_gettime" >&6; }
9884if test $ac_cv_func_clock_gettime = yes; then 9106if test $ac_cv_func_clock_gettime = yes; then
9885 : 9107 :
9886else 9108else
9887 9109
9888 if test -z "$LIBEV_M4_AVOID_LIBRT"; then 9110 if test $(uname) = Linux; then
9111 { echo "$as_me:$LINENO: checking for clock_gettime syscall" >&5
9112echo $ECHO_N "checking for clock_gettime syscall... $ECHO_C" >&6; }
9113 cat >conftest.$ac_ext <<_ACEOF
9114/* confdefs.h. */
9115_ACEOF
9116cat confdefs.h >>conftest.$ac_ext
9117cat >>conftest.$ac_ext <<_ACEOF
9118/* end confdefs.h. */
9119#include <syscall.h>
9120 #include <time.h>
9121int
9122main ()
9123{
9124struct timespec ts; int status = syscall (SYS_clock_gettime, CLOCK_REALTIME, &ts)
9125 ;
9126 return 0;
9127}
9128_ACEOF
9129rm -f conftest.$ac_objext conftest$ac_exeext
9130if { (ac_try="$ac_link"
9131case "(($ac_try" in
9132 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9133 *) ac_try_echo=$ac_try;;
9134esac
9135eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9136 (eval "$ac_link") 2>conftest.er1
9137 ac_status=$?
9138 grep -v '^ *+' conftest.er1 >conftest.err
9139 rm -f conftest.er1
9140 cat conftest.err >&5
9141 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9142 (exit $ac_status); } && {
9143 test -z "$ac_c_werror_flag" ||
9144 test ! -s conftest.err
9145 } && test -s conftest$ac_exeext &&
9146 $as_test_x conftest$ac_exeext; then
9147 ac_have_clock_syscall=1
9148
9149cat >>confdefs.h <<\_ACEOF
9150#define HAVE_CLOCK_SYSCALL 1
9151_ACEOF
9152
9153 { echo "$as_me:$LINENO: result: yes" >&5
9154echo "${ECHO_T}yes" >&6; }
9155else
9156 echo "$as_me: failed program was:" >&5
9157sed 's/^/| /' conftest.$ac_ext >&5
9158
9159 { echo "$as_me:$LINENO: result: no" >&5
9160echo "${ECHO_T}no" >&6; }
9161fi
9162
9163rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
9164 conftest$ac_exeext conftest.$ac_ext
9165 fi
9166 if test -z "$LIBEV_M4_AVOID_LIBRT" && test -z "$ac_have_clock_syscall"; then
9889 9167
9890{ echo "$as_me:$LINENO: checking for clock_gettime in -lrt" >&5 9168{ echo "$as_me:$LINENO: checking for clock_gettime in -lrt" >&5
9891echo $ECHO_N "checking for clock_gettime in -lrt... $ECHO_C" >&6; } 9169echo $ECHO_N "checking for clock_gettime in -lrt... $ECHO_C" >&6; }
9892if test "${ac_cv_lib_rt_clock_gettime+set}" = set; then 9170if test "${ac_cv_lib_rt_clock_gettime+set}" = set; then
9893 echo $ECHO_N "(cached) $ECHO_C" >&6 9171 echo $ECHO_N "(cached) $ECHO_C" >&6
11126 ROHC_FALSE= 10404 ROHC_FALSE=
11127fi 10405fi
11128 10406
11129 10407
11130 10408
10409ICMP=1
11131# Check whether --enable-icmp was given. 10410# Check whether --enable-icmp was given.
11132if test "${enable_icmp+set}" = set; then 10411if test "${enable_icmp+set}" = set; then
11133 enableval=$enable_icmp; 10412 enableval=$enable_icmp; if test "x$enableval" = xno; then
10413 ICMP=0
10414 fi
10415
10416fi
10417
10418if test "x$ICMP" = x1; then
10419
11134cat >>confdefs.h <<_ACEOF 10420cat >>confdefs.h <<_ACEOF
11135#define ENABLE_ICMP 1 10421#define ENABLE_ICMP 1
11136_ACEOF 10422_ACEOF
11137 10423
11138
11139fi 10424fi
11140 10425
11141 10426TCP=1
11142# Check whether --enable-tcp was given. 10427# Check whether --enable-tcp was given.
11143if test "${enable_tcp+set}" = set; then 10428if test "${enable_tcp+set}" = set; then
11144 enableval=$enable_tcp; 10429 enableval=$enable_tcp; if test "x$enableval" = xno; then
10430 TCP=0
10431 fi
10432
10433fi
10434
10435if test "x$TCP" = x1; then
10436
11145cat >>confdefs.h <<_ACEOF 10437cat >>confdefs.h <<_ACEOF
11146#define ENABLE_TCP 1 10438#define ENABLE_TCP 1
11147_ACEOF 10439_ACEOF
11148 10440
11149
11150fi 10441fi
11151 10442
10443HTTP=1
10444# Check whether --enable-http-proxy was given.
10445if test "${enable_http_proxy+set}" = set; then
10446 enableval=$enable_http_proxy; if test "x$enableval" = xno; then
10447 HTTP=0
10448 fi
10449
10450fi
10451
10452if test "x$HTTP" = x1; then
10453
10454cat >>confdefs.h <<_ACEOF
10455#define ENABLE_HTTP_PROXY 1
10456_ACEOF
10457
10458fi
11152 10459
11153# Check whether --enable-dns was given. 10460# Check whether --enable-dns was given.
11154if test "${enable_dns+set}" = set; then 10461if test "${enable_dns+set}" = set; then
11155 enableval=$enable_dns; 10462 enableval=$enable_dns;
11156 if test "${ac_cv_header_gmp_h+set}" = set; then 10463 if test "${ac_cv_header_gmp_h+set}" = set; then
11360 10667
11361cat >>confdefs.h <<_ACEOF 10668cat >>confdefs.h <<_ACEOF
11362#define ENABLE_DNS 1 10669#define ENABLE_DNS 1
11363_ACEOF 10670_ACEOF
11364 10671
11365
11366
11367fi
11368
11369
11370# Check whether --enable-http-proxy was given.
11371if test "${enable_http_proxy+set}" = set; then
11372 enableval=$enable_http_proxy;
11373cat >>confdefs.h <<_ACEOF
11374#define ENABLE_HTTP_PROXY 1
11375_ACEOF
11376 10672
11377 10673
11378fi 10674fi
11379 10675
11380 10676
11586fi 10882fi
11587if test -z "${AMDEP_TRUE}" && test -z "${AMDEP_FALSE}"; then 10883if test -z "${AMDEP_TRUE}" && test -z "${AMDEP_FALSE}"; then
11588 { { echo "$as_me:$LINENO: error: conditional \"AMDEP\" was never defined. 10884 { { echo "$as_me:$LINENO: error: conditional \"AMDEP\" was never defined.
11589Usually this means the macro was only invoked conditionally." >&5 10885Usually this means the macro was only invoked conditionally." >&5
11590echo "$as_me: error: conditional \"AMDEP\" was never defined. 10886echo "$as_me: error: conditional \"AMDEP\" was never defined.
11591Usually this means the macro was only invoked conditionally." >&2;}
11592 { (exit 1); exit 1; }; }
11593fi
11594if test -z "${am__fastdepCC_TRUE}" && test -z "${am__fastdepCC_FALSE}"; then
11595 { { echo "$as_me:$LINENO: error: conditional \"am__fastdepCC\" was never defined.
11596Usually this means the macro was only invoked conditionally." >&5
11597echo "$as_me: error: conditional \"am__fastdepCC\" was never defined.
11598Usually this means the macro was only invoked conditionally." >&2;} 10887Usually this means the macro was only invoked conditionally." >&2;}
11599 { (exit 1); exit 1; }; } 10888 { (exit 1); exit 1; }; }
11600fi 10889fi
11601if test -z "${am__fastdepCC_TRUE}" && test -z "${am__fastdepCC_FALSE}"; then 10890if test -z "${am__fastdepCC_TRUE}" && test -z "${am__fastdepCC_FALSE}"; then
11602 { { echo "$as_me:$LINENO: error: conditional \"am__fastdepCC\" was never defined. 10891 { { echo "$as_me:$LINENO: error: conditional \"am__fastdepCC\" was never defined.

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines